PUT TimeSaver/PutEmployeeScanOuts
Request Information
URI Parameters
None.
Body Parameters
Collection of EmployeeScanOut| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| LoggedInUserID | globally unique identifier |
Required |
|
| EmployeeID | globally unique identifier |
Required |
|
| ClockOutTime | date |
Required |
|
| IsProcessed | boolean |
Required |
|
| ProcessedDate | date |
None. |
|
| ClockOutTypeID | ClockOutType |
None. |
|
| ClockOutReason | string |
None. |
|
| Latitude | decimal number |
None. |
|
| Longitude | decimal number |
None. |
|
| FacialVerifed | boolean |
Required |
|
| FacialMatch | boolean |
Required |
|
| FacialConfidence | decimal number |
Required |
|
| PhotoID | globally unique identifier |
None. |
|
| IsActive | boolean |
Required |
Request Formats
application/json, text/json
Sample:
[
{
"$id": "1",
"id": "58d2e802-fb8c-4b45-af4e-934cc3667a4f",
"loggedInUserID": "c49cd996-5eb6-4237-b66b-372a1856980d",
"employeeID": "780725e2-9469-4e69-949d-2ffd05403dad",
"clockOutTime": "2026-06-12T22:58:00.9039882+00:00",
"isProcessed": true,
"processedDate": "2026-06-12T22:58:00.9039882+00:00",
"clockOutTypeID": 1,
"clockOutReason": "sample string 6",
"latitude": 1.1,
"longitude": 1.1,
"facialVerifed": true,
"facialMatch": true,
"facialConfidence": 9.0,
"photoID": "f377939e-8a76-4edd-9489-2135e7f32e86",
"isActive": true
},
{
"$ref": "1"
}
]
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.